@echo off
echo.
echo. ------------------------------- 
echo. Russ' NVFlash Recovery Flasher 
echo.                                
echo. 1. CWM 4.0.1.5 Internal         
echo. 2. CWM 4.0.1.5 External        
echo. X. Exit                        
echo. -------------------------------
echo.
choice /c 12X /m "Please pick a recovery, or exit"
if errorlevel 3 goto exit
if errorlevel 2 goto external
if errorlevel 1 goto internal
:internal
echo Attempting to flash internal recovery...
nvflash --bct E1108_Hynix_512MB_H8TBR00U0MLR-0DM_300MHz_final_emmc_x8.bct --bl fastboot.bin --download 14 cwm-int.img
echo.
echo. -------------------------------
echo Program will now exit
pause
goto exit
:external
echo Attempting to flash external recovery...
nvflash --bct E1108_Hynix_512MB_H8TBR00U0MLR-0DM_300MHz_final_emmc_x8.bct --bl fastboot.bin --download 14 cwm-ext.img
echo.
echo. -------------------------------
echo Program will now exit
pause
goto exit
:exit